GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Protected Member Functions | Friends | List of all members
gdcm::Orientation Class Reference

class to handle Orientation More...

`#include <gdcmOrientation.h>`

## Public Types

enum | OrientationType { UNKNOWN, AXIAL, CORONAL, SAGITTAL, OBLIQUE }

## Public Member Functions

| Orientation ()
| ~Orientation ()
void | Print (std::ostream &) const
| Print.

## Static Public Member Functions

static const char * | GetLabel (OrientationType type)
| Return the label of an Orientation.
static double | GetObliquityThresholdCosineValue ()
static OrientationType | GetType (const double dircos[6])
static void | SetObliquityThresholdCosineValue (double val)
| ObliquityThresholdCosineValue stuff.

## Static Protected Member Functions

static char | GetMajorAxisFromPatientRelativeDirectionCosine (double x, double y, double z)

## Friends

std::ostream & | operator<< (std::ostream &_os, const Orientation &o)

## Detailed Description

class to handle Orientation

## Member Enumeration Documentation

enum gdcm::Orientation::OrientationType

Enumerator:

  UNKNOWN |
  AXIAL |
  CORONAL |
  SAGITTAL |
  OBLIQUE |

## Constructor & Destructor Documentation

gdcm::Orientation::Orientation | ( |  | ) |

gdcm::Orientation::~Orientation | ( |  | ) |

## Member Function Documentation

static const char* gdcm::Orientation::GetLabel | ( | OrientationType | type | ) |

static

Return the label of an Orientation.

static char gdcm::Orientation::GetMajorAxisFromPatientRelativeDirectionCosine | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |

staticprotected

static double gdcm::Orientation::GetObliquityThresholdCosineValue | ( |  | ) |

static

static OrientationType gdcm::Orientation::GetType | ( | const double | dircos[6] | ) |

static

Return the type of orientation from a direction cosines Input is an array of 6 double

void gdcm::Orientation::Print | ( | std::ostream & |  | ) | const

Print.

Referenced by gdcm::operator<<().

static void gdcm::Orientation::SetObliquityThresholdCosineValue | ( | double | val | ) |

static

ObliquityThresholdCosineValue stuff.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const Orientation & | o
| ) |  |

friend

The documentation for this class was generated from the following file:

- gdcmOrientation.h